﻿/* 
    Document    : jslane
    Created on  : Dec 26, 2012, 6:52:27 AM
    Author      : Lufty Abdillah
    Description : Sliding panes with fixed position
*/

.jslane-pane,
.jslane-floating-slider 
{
    z-index: 50;
}

.jslane-pane {
    border: 1px solid #214870;
    background-color: #fff;
}

.jslane-pane.hover {
    border: 1px solid rgba(84,163,238,1);
}

.jslane-pane.bottom,
.jslane-slider.bottom {
    -webkit-box-shadow: 0px -3px 5px rgba(50, 50, 50, 0.5);
    -moz-box-shadow:    0px -3px 5px rgba(50, 50, 50, 0.5);
    box-shadow:         0px -3px 5px rgba(50, 50, 50, 0.5);
}

.jslane-pane.top,
.jslane-slider.top {
    -webkit-box-shadow: 0px 3px 5px rgba(50, 50, 50, 0.5);
    -moz-box-shadow:    0px 3px 5px rgba(50, 50, 50, 0.5);
    box-shadow:         0px 3px 5px rgba(50, 50, 50, 0.5);
}

.jslane-pane.left {
    -webkit-box-shadow: 2px 2px 5px rgba(50, 50, 50, 0.5);
    -moz-box-shadow:    2px 2px 5px rgba(50, 50, 50, 0.5);
    box-shadow:         2px 2px 5px rgba(50, 50, 50, 0.5);
    
    -moz-border-top-right-radius: 10px;
    -moz-border-radius-bottomright: 10px;
    -webkit-border-top-right-radius: 10px;
    -webkit-border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

.jslane-pane.right {
    -webkit-box-shadow: -2px 2px 5px rgba(50, 50, 50, 0.5);
    -moz-box-shadow:    -2px 2px 5px rgba(50, 50, 50, 0.5);
    box-shadow:         -2px 2px 5px rgba(50, 50, 50, 0.5);
    
    -moz-border-top-left-radius: 10px;
    -moz-border-radius-bottomleft: 10px;
    -webkit-border-top-left-radius: 10px;
    -webkit-border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.jslane-title {
    height: 2em;
    line-height: 2em;    
    text-align: center;
}

.jslane-title.left,
.jslane-floating-slider.right,
.jslane-slider.right {
    background: #6f7d99;
    
    background-image: -moz-linear-gradient(left,  #6f7d99 0%, #214870 100%);
    background-image: -webkit-gradient(linear, left top, right top, color-stop(0%,#6f7d99), color-stop(100%,#214870));
    background-image: -webkit-linear-gradient(left,  #6f7d99 0%,#214870 100%);
    background-image: -o-linear-gradient(left,  #6f7d99 0%,#214870 100%);
    background-image: -ms-linear-gradient(left,  #6f7d99 0%,#214870 100%);
    background-image: linear-gradient(to right,  #6f7d99 0%,#214870 100%);
        
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6f7d99', endColorstr='#214870',GradientType=1 );
}

.jslane-title.right,
.jslane-floating-slider.left,
.jslane-slider.left {
    background: #214870;
    
    background-image: -moz-linear-gradient(left,  #214870 0%, #6f7d99 100%);
    background-image: -webkit-gradient(linear, left top, right top, color-stop(0%,#214870), color-stop(100%,#6f7d99));
    background-image: -webkit-linear-gradient(left,  #214870 0%,#6f7d99 100%);
    background-image: -o-linear-gradient(left,  #214870 0%,#6f7d99 100%);
    background-image: -ms-linear-gradient(left,  #214870 0%,#6f7d99 100%);
    background-image: linear-gradient(to right,  #214870 0%,#6f7d99 100%);
    
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#214870', endColorstr='#6f7d99',GradientType=1 );


}

.jslane-floating-slider.top,
.jslane-slider.top {
    background: #214870;
    
    background-image: -moz-linear-gradient(top,  #214870 0%, #6f7d99 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#214870), color-stop(100%,#6f7d99));
    background-image: -webkit-linear-gradient(top,  #214870 0%,#6f7d99 100%);
    background-image: -o-linear-gradient(top,  #214870 0%,#6f7d99 100%);
    background-image: -ms-linear-gradient(top,  #214870 0%,#6f7d99 100%);
    background-image: linear-gradient(to bottom,  #214870 0%,#6f7d99 100%);
    
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#214870', endColorstr='#6f7d99',GradientType=0 );
}

.jslane-floating-slider.bottom,
.jslane-slider.bottom,
.jslane-title.top,
.jslane-title.bottom {
    background: #6f7d99;
    
    background-image: -moz-linear-gradient(top,  #6f7d99 0%, #214870 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6f7d99), color-stop(100%,#214870));
    background-image: -webkit-linear-gradient(top,  #6f7d99 0%,#214870 100%);
    background-image: -o-linear-gradient(top,  #6f7d99 0%,#214870 100%);
    background-image: -ms-linear-gradient(top,  #6f7d99 0%,#214870 100%);
    background-image: linear-gradient(to bottom,  #6f7d99 0%,#214870 100%);
    
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6f7d99', endColorstr='#214870',GradientType=0 );
}

.jslane-title.left {
    -moz-border-top-right-radius: 8px;
    -webkit-border-top-right-radius: 8px;
    border-top-right-radius: 8px;
}

.jslane-title.right {   
    -moz-border-top-left-radius: 8px;
    -webkit-border-top-left-radius: 8px;
    border-top-left-radius: 8px;
}

.jslane-title .text {
    color: #fff;
}

.jslane-content {
    padding: 5px;
}

.jslane-slider.left,
.jslane-slider.top {
    border-left: 1px solid #693838;
    -webkit-box-shadow: 2px 2px 5px rgba(50, 50, 50, 0.5);
    -moz-box-shadow:    2px 2px 5px rgba(50, 50, 50, 0.5);
    box-shadow:         2px 2px 5px rgba(50, 50, 50, 0.5);
}

.jslane-slider.right {
    -webkit-box-shadow: -2px 2px 5px rgba(50, 50, 50, 0.5);
    -moz-box-shadow:    -2px 2px 5px rgba(50, 50, 50, 0.5);
    box-shadow:         -2px 2px 5px rgba(50, 50, 50, 0.5);
}

.jslane-floating-slider.left .icon,
.jslane-slider.left .icon,
.jslane-slider.right .icon,
.jslane-floating-slider.right .icon,
.jslane-slider.top .icon,
.jslane-floating-slider.top .icon,
.jslane-slider.bottom .icon,
.jslane-floating-slider.bottom .icon {
    position: relative;
    top: 50%;   
    width: 24px;
    height: 24px;
    margin: auto;
    margin-top: -12px;
    
}

.jslane-floating-slider.left .icon,
.jslane-slider.right .icon {
    background-image: url("../../Images/Common/arrow-right-icon.png");
}

.jslane-slider.left .icon,
.jslane-floating-slider.right .icon {
    background-image: url("../../Images/Common/arrow-left-icon.png");
}

.jslane-floating-slider.top .icon,
.jslane-slider.bottom .icon {
    background-image: url("../../Images/Common/arrow-down-icon.png");
}

.jslane-floating-slider.bottom .icon,
.jslane-slider.top .icon {
    background-image: url("../../Images/Common/arrow-up-icon.png");
}

.jslane-floating-slider.left:hover,
.jslane-slider.left:hover,
.jslane-title.right.hover {
    background: rgb(30,105,222);
    
    background-image: -moz-linear-gradient(left,  rgba(30,105,222,1) 0%, rgba(54,144,240,1) 49%, rgba(84,163,238,1) 61%, rgba(109,179,242,1) 100%);
    background-image: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(30,105,222,1)), color-stop(49%,rgba(54,144,240,1)), color-stop(61%,rgba(84,163,238,1)), color-stop(100%,rgba(109,179,242,1)));
    background-image: -webkit-linear-gradient(left,  rgba(30,105,222,1) 0%,rgba(54,144,240,1) 49%,rgba(84,163,238,1) 61%,rgba(109,179,242,1) 100%);
    background-image: -o-linear-gradient(left,  rgba(30,105,222,1) 0%,rgba(54,144,240,1) 49%,rgba(84,163,238,1) 61%,rgba(109,179,242,1) 100%);
    background-image: -ms-linear-gradient(left,  rgba(30,105,222,1) 0%,rgba(54,144,240,1) 49%,rgba(84,163,238,1) 61%,rgba(109,179,242,1) 100%);
    background-image: linear-gradient(to right,  rgba(30,105,222,1) 0%,rgba(54,144,240,1) 49%,rgba(84,163,238,1) 61%,rgba(109,179,242,1) 100%);
        
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1e69de', endColorstr='#6db3f2',GradientType=1 );
}

.jslane-floating-slider.right:hover,
.jslane-slider.right:hover,
.jslane-title.left.hover {
    background: rgb(109,179,242);
    
    background-image: -moz-linear-gradient(left,  rgba(109,179,242,1) 0%, rgba(84,163,238,1) 40%, rgba(54,144,240,1) 54%, rgba(30,105,222,1) 100%);
    background-image: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(109,179,242,1)), color-stop(40%,rgba(84,163,238,1)), color-stop(54%,rgba(54,144,240,1)), color-stop(100%,rgba(30,105,222,1)));
    background-image: -webkit-linear-gradient(left,  rgba(109,179,242,1) 0%,rgba(84,163,238,1) 40%,rgba(54,144,240,1) 54%,rgba(30,105,222,1) 100%);
    background-image: -o-linear-gradient(left,  rgba(109,179,242,1) 0%,rgba(84,163,238,1) 40%,rgba(54,144,240,1) 54%,rgba(30,105,222,1) 100%);
    background-image: -ms-linear-gradient(left,  rgba(109,179,242,1) 0%,rgba(84,163,238,1) 40%,rgba(54,144,240,1) 54%,rgba(30,105,222,1) 100%);
    background-image: linear-gradient(to right,  rgba(109,179,242,1) 0%,rgba(84,163,238,1) 40%,rgba(54,144,240,1) 54%,rgba(30,105,222,1) 100%);
    
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6db3f2', endColorstr='#1e69de',GradientType=1 );
}

.jslane-floating-slider.bottom:hover,
.jslane-slider.bottom:hover,
.jslane-title.top.hover {
    background: rgb(109,179,242);
    
    background-image: -moz-linear-gradient(top,  rgba(109,179,242,1) 0%, rgba(84,163,238,1) 40%, rgba(54,144,240,1) 54%, rgba(30,105,222,1) 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(109,179,242,1)), color-stop(40%,rgba(84,163,238,1)), color-stop(54%,rgba(54,144,240,1)), color-stop(100%,rgba(30,105,222,1)));
    background-image: -webkit-linear-gradient(top,  rgba(109,179,242,1) 0%,rgba(84,163,238,1) 40%,rgba(54,144,240,1) 54%,rgba(30,105,222,1) 100%);
    background-image: -o-linear-gradient(top,  rgba(109,179,242,1) 0%,rgba(84,163,238,1) 40%,rgba(54,144,240,1) 54%,rgba(30,105,222,1) 100%);
    background-image: -ms-linear-gradient(top,  rgba(109,179,242,1) 0%,rgba(84,163,238,1) 40%,rgba(54,144,240,1) 54%,rgba(30,105,222,1) 100%);
    background-image: linear-gradient(to bottom,  rgba(109,179,242,1) 0%,rgba(84,163,238,1) 40%,rgba(54,144,240,1) 54%,rgba(30,105,222,1) 100%);
    
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6db3f2', endColorstr='#1e69de',GradientType=0 );
}

.jslane-floating-slider.top:hover,
.jslane-slider.top:hover,
.jslane-title.bottom.hover {
    background: rgb(30,105,222);
    
    background-image: -moz-linear-gradient(top,  rgba(30,105,222,1) 0%, rgba(54,144,240,1) 44%, rgba(84,163,238,1) 61%, rgba(109,179,242,1) 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(30,105,222,1)), color-stop(44%,rgba(54,144,240,1)), color-stop(61%,rgba(84,163,238,1)), color-stop(100%,rgba(109,179,242,1)));
    background-image: -webkit-linear-gradient(top,  rgba(30,105,222,1) 0%,rgba(54,144,240,1) 44%,rgba(84,163,238,1) 61%,rgba(109,179,242,1) 100%);
    background-image: -o-linear-gradient(top,  rgba(30,105,222,1) 0%,rgba(54,144,240,1) 44%,rgba(84,163,238,1) 61%,rgba(109,179,242,1) 100%);
    background-image: -ms-linear-gradient(top,  rgba(30,105,222,1) 0%,rgba(54,144,240,1) 44%,rgba(84,163,238,1) 61%,rgba(109,179,242,1) 100%);
    background-image: linear-gradient(to bottom,  rgba(30,105,222,1) 0%,rgba(54,144,240,1) 44%,rgba(84,163,238,1) 61%,rgba(109,179,242,1) 100%);
    
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1e69de', endColorstr='#6db3f2',GradientType=0 );
}